Qt 5.7 | Qt 3D | C++ Classes | QPolygonOffset

Qt 5.7.1 Reference Documentation

# QPolygonOffset Class

(Qt3DRender::QPolygonOffset)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- depthSteps : float
- scaleFactor : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QPolygonOffset(Qt3DCore::QNode *parent = nullptr)
| ~QPolygonOffset()
float | depthSteps() const
float | scaleFactor() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDepthSteps(float depthSteps)
void | setScaleFactor(float scaleFactor)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | depthStepsChanged(float depthSteps)
void | scaleFactorChanged(float scaleFactor)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### depthSteps : float

Access functions:

float | depthSteps() const
void | setDepthSteps(float depthSteps)

Notifier signal:

void | depthStepsChanged(float depthSteps)

### scaleFactor : float

Access functions:

float | scaleFactor() const
void | setScaleFactor(float scaleFactor)

Notifier signal:

void | scaleFactorChanged(float scaleFactor)

## Member Function Documentation

### QPolygonOffset::QPolygonOffset(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QPolygonOffset.

### QPolygonOffset::~QPolygonOffset()

Destroys the instance of QPolygonOffset.